Package org.eclipse.birt.report.model.api.simpleapi

# Interface ILabel

All Superinterfaces:
  `IDesignElement`, `IReportElement`, `IReportItem`

public interface ILabel extends IReportItem
Represents a the design of a Label in the scripting environment

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`constants`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAction(IAction action)`
Add the action structure to this Label item.
`IAction`
`getAction()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`String`
`getDisplayText()`
Returns the localized text for the label.
`String`
`getHelpText()`
Returns the help text of this label item.
`String`
`getHelpTextKey()`
Returns the help text key of this label item.
`String`
`getText()`
Returns the static text for the label.
`String`
`getTextKey()`
Returns the resource key of the static text of the label.
`void`
`setHelpText(String text)`
Sets the help text of this label item.
`void`
`setHelpTextKey(String resourceKey)`
Sets the help text key of this label item.
`void`
`setText(String text)`
Sets the text of the label.
`void`
`setTextKey(String resourceKey)`
Sets the resource key of the static text of the label.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

## Method Details

### getText

String getText()
Returns the static text for the label.

Returns:
  the static text to display

### getDisplayText

String getDisplayText()
Returns the localized text for the label. If the localized text for the text resource key is found, it will be returned. Otherwise, the static text will be returned.

Returns:
  the localized text for the label

### setText

void setText(String text) throws SemanticException
Sets the text of the label. Sets the static text itself. If the label is to be externalized, then set the text ID separately.

Parameters:
  `text` - the new text for the label
Throws:
  `SemanticException` - if the property is locked.

### getTextKey

String getTextKey()
Returns the resource key of the static text of the label.

Returns:
  the resource key of the static text

### setTextKey

void setTextKey(String resourceKey) throws SemanticException
Sets the resource key of the static text of the label.

Parameters:
  `resourceKey` - the resource key of the static text
Throws:
  `SemanticException` - if the resource key property is locked.

### getAction

IAction getAction()
Returns a handle to work with the action property, action is a structure that defines a hyperlink.

Returns:
  a handle to the action property, return `null` if the action has not been set on the label.
See Also:
  - `ActionHandle`

### addAction

void addAction(IAction action) throws SemanticException
Add the action structure to this Label item.

Parameters:
  `action` -
Throws:
  `SemanticException`

### getHelpText

String getHelpText()
Returns the help text of this label item.

Returns:
  the help text

### setHelpText

void setHelpText(String text) throws SemanticException
Sets the help text of this label item.

Parameters:
  `text` - the help text
Throws:
  `SemanticException` - if the resource key property is locked.

### getHelpTextKey

String getHelpTextKey()
Returns the help text key of this label item.

Returns:
  the help text key

### setHelpTextKey

void setHelpTextKey(String resourceKey) throws SemanticException
Sets the help text key of this label item.

Parameters:
  `resourceKey` - the help text key
Throws:
  `SemanticException` - if the resource key property of the help text is locked.